Skip to main content
GET
/
points
/
{key}
/
level-summary
JavaScript
import { TrophyApiClient } from '@trophyso/node';

const trophy = new TrophyApiClient({
  apiKey: 'YOUR_API_KEY'
});

const response = await trophy.points.levelSummary("points-system-key");
[
  {
    "level": {
      "id": "1140fe51-6bce-4b44-b0ad-bddc4e123534",
      "key": "bronze",
      "name": "Bronze",
      "description": "Starting level",
      "badgeUrl": "https://example.com/bronze.png",
      "points": 0
    },
    "users": 5012
  },
  {
    "level": {
      "id": "2240fe51-6bce-4b44-b0ad-bddc4e123534",
      "key": "silver",
      "name": "Silver",
      "description": "Mid-tier level",
      "badgeUrl": null,
      "points": 50
    },
    "users": 1501
  },
  {
    "level": {
      "id": "3340fe51-6bce-4b44-b0ad-bddc4e123534",
      "key": "gold",
      "name": "Gold",
      "description": "Top level",
      "badgeUrl": "https://example.com/gold.png",
      "points": 200
    },
    "users": 102
  }
]
Rate Limits

Authorizations

X-API-KEY
string
header
required

Path Parameters

key
string
required

Key of the points system.

Response

Successful operation

level
PointsLevel · object
required

A level within a points system.

users
integer
required

The number of users currently at this level